M_COPY_AND_SWAP_BLOCKS(3)

FUNCTION
m_copy_and_swap_blocks - Copy and byte-swap multiple blocks of data.

SYNOPSIS
#include <karma_m.h>

void m_copy_and_swap_blocks

(void *dest, CONST void *source, uaddr dest_stride, uaddr source_stride, uaddr block_size, uaddr num_blocks)

DESCRIPTION
Copy and byte-swap multiple blocks of data.

dest
    The destination for the first block copy.

source
    The source for the first block copy. If this is NULL or the same as <<dest>> the swap is performed in-situ, and <<source_stride>> is ignored

dest_stride
    The spacing (in bytes) between destintion blocks.

source_stride
    The spacing (in bytes) between source blocks.

block_size
    The size of each block (in bytes).

num_blocks
    The number of blocks to copy and swap.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/